% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sparkavro.R
\name{spark_write_avro}
\alias{spark_write_avro}
\title{Write a Spark DataFrame to a Avro file}
\usage{
spark_write_avro(x, path, mode = NULL, options = list())
}
\arguments{
\item{x}{A Spark DataFrame or dplyr operation}

\item{path}{The path to the file. Needs to be accessible from the cluster.
Supports the \samp{"hdfs://"}, \samp{"s3n://"} and \samp{"file://"} protocols.}

\item{mode}{Specifies the behavior when data or table already exists.}

\item{options}{A list of strings with additional options. See \url{http://spark.apache.org/docs/latest/sql-programming-guide.html#configuration}.}
}
\description{
Serialize a Spark DataFrame to the
\href{https://parquet.apache.org/}{Parquet} format.
}
\concept{Spark serialization routines}
